Name:           perl-Module-Data
Version:        0.007
Release:        4%{?dist}
Summary:        Introspect context information about modules in @INC
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Data/
Source0:        http://www.cpan.org/modules/by-module/Module/Module-Data-%{version}.tar.gz
# This restriction is un-necessary for F20
Patch1:         module_data_remove_module_build_version.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Path::Class::File)
BuildRequires:  perl(Path::ScanINC) >= 0.002
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Quote)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 1.001002
BuildRequires:  perl(warnings)
Requires:       perl(Module::Metadata)
Requires:       perl(Module::Runtime)
Requires:       perl(Path::Class::File)
Requires:       perl(Path::ScanINC) >= 0.002
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}

%prep
%setup -q -n Module-Data-%{version}
%patch1 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.007-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.007-3
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.007-2
- Perl 5.20 rebuild

* Sat Aug 09 2014 David Dick <ddick@cpan.org> - 0.007-1
- Initial release
